import { Dispatch } from "react";
import { CommonComponents, ContentDeleteHandler, ContentSaveHandler, saveContentDataType } from "./types";
interface ContentEditorProps extends CommonComponents {
    data?: saveContentDataType;
    setLoading: Dispatch<React.SetStateAction<boolean>>;
    onClose: (goRefresh?: boolean) => void;
    onSave: ContentSaveHandler;
    onDelete: ContentDeleteHandler;
}
declare const ContentEditor: React.FC<ContentEditorProps>;
export default ContentEditor;
